com.amazonaws.services.elastictranscoder.model

## Class CreatePipelineResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.CreatePipelineResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreatePipelineResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

When you create a pipeline, Elastic Transcoder returns the values that you specified in the request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreatePipelineResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreatePipelineResult` `clone()`
`boolean` `equals(Object obj)`
`Pipeline` `getPipeline()` A section of the response body that provides information about the pipeline that is created.
`List<Warning>` `getWarnings()` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`int` `hashCode()`
`void` `setPipeline(Pipeline pipeline)` A section of the response body that provides information about the pipeline that is created.
`void` `setWarnings(Collection<Warning> warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreatePipelineResult` `withPipeline(Pipeline pipeline)` A section of the response body that provides information about the pipeline that is created.
`CreatePipelineResult` `withWarnings(Collection<Warning> warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.
`CreatePipelineResult` `withWarnings(Warning... warnings)` Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreatePipelineResult

    public CreatePipelineResult()

### Method Detail

#### setPipeline

    public void setPipeline(Pipeline pipeline)

A section of the response body that provides information about the pipeline that is created.

Parameters:
  `pipeline` - A section of the response body that provides information about the pipeline that is created.

#### getPipeline

    public Pipeline getPipeline()

A section of the response body that provides information about the pipeline that is created.

Returns:
  A section of the response body that provides information about the pipeline that is created.

#### withPipeline

    public CreatePipelineResult withPipeline(Pipeline pipeline)

A section of the response body that provides information about the pipeline that is created.

Parameters:
  `pipeline` - A section of the response body that provides information about the pipeline that is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getWarnings

    public List<Warning> getWarnings()

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

#### setWarnings

    public void setWarnings(Collection<Warning> warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

#### withWarnings

    public CreatePipelineResult withWarnings(Warning... warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

NOTE: This method appends the values to the existing list (if any). Use `setWarnings(java.util.Collection)` or `withWarnings(java.util.Collection)` if you want to override the existing values.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWarnings

    public CreatePipelineResult withWarnings(Collection<Warning> warnings)

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Parameters:
  `warnings` - Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

  Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreatePipelineResult clone()

Overrides:
  `clone` in class `Object`